/* CSS Resets */
h1, h2, h3, h4, p, nav ul {
    padding: 0;
    margin: 0;
}
nav ul {
    list-style-type: none;
}
img { max-width: 100%; display: block; }
* { box-sizing: border-box;}

a:link {
    color: rgb(167, 133, 214);
  }
h2 {text-align: left;}

/* end Resets */

body {
    font-family: Arial, Helvetica, sans-serif;
    color: #bab8b8;
    background-image: linear-gradient(30deg, purple 30%, blue);
    
}

header, footer {
 
    padding: 20px;
}

main {
    padding-top: 20px;
    padding-left: 20px;
    display: flex;
    flex-direction: column;
    align-items: left;

}

.container {
    max-width: 1000px;
    text-align: center;
}

h1, h2 {
    margin-bottom: .5em;
}

p {
    line-height: 1.4em;
    margin-bottom: 1em;
}
#headername{text-shadow: 2px 1px rgb(55, 1, 77);

}

a {
    text-decoration: none;
    font-weight: bold;
    color:cornflowerblue;
}

ul{list-style-type: none;
text-align: left;
}

ul li {
    margin-bottom: 1em;
    margin-right: 20px;
    display:inline-block
}

img {
    margin-bottom: 20px;
}

aside {
    background-color: #bab8b8;
    padding:10px;
    color:black;
    
}

aside img {
    border-radius: 50%;
    margin-left: auto;
    margin-right: auto;
    width: 200px;
}

@media only screen and (min-width: 600px) {
    .container{ 
        display: flex;
        flex-wrap: wrap;
    }
    header, footer {
        width: 100%;
    }
    main { flex: 2; }
    aside { flex: 1; }
}

@media only screen and (min-width: 800px) {
    .container{ margin: auto; }
    main { display: flex;}
    main div { flex: 1; }
}